Skip to content

List



GET /api/v1/log_backup_cfg/list

Overview

List Data Forwarding rules

Query Parameters

Parameter Type Required Description
search string Search field
Example: xxxxx_text
Allow Null: False
Allow Empty String: True
storeType commaArray Storage type
Allow Null: False
Possible values: ['guanceObject', 's3', 'obs', 'oss', 'kafka', 'tos', 'gcs', 'doris']
dataType commaArray Data type
Allow Null: False
Possible values: ['llm', 'logging', 'tracing', 'rum', 'keyevent', 'audit_event', 'am']
storageFormat commaArray Storage format
Allow Null: False
Possible values: ['json', 'parquet']
storageClass commaArray Archival class
Allow Null: False
Allow Empty String: True
pageIndex integer Page number
Allow Null: False
Example: 1
Minimum value: 1
pageSize integer Number of items per page
Allow Null: False
Example: 10
Minimum value: 1
Maximum value: 100

Parameter Details

  • Request parameter description
Parameter Type Description
search string Search rule name
storeType commaArray Filter by storage type, multiple values separated by English commas
dataType commaArray Data type, multiple values separated by English commas
storageFormat commaArray Storage format, multiple values separated by English commas
storageClass commaArray Archival class, multiple values separated by English commas
pageIndex string Page number
pageSize string Number of items per page

Example Request

curl 'https://openapi.guance.com/api/v1/log_backup_cfg/list?pageIndex=1&pageSize=3&storeType=s3,oss&dataType=logging,tracing&storageFormat=json,parquet&storageClass=STANDARD,IA' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed

Response

{
    "code": 200,
    "content": [
        {
            "conditions": "",
            "createAt": 1697543205,
            "creator": "xx",
            "creatorInfo": {
                "uuid": "xx",
                "status": 0,
                "username": "xx",
                "name": "xx",
                "iconUrl": "",
                "email": "xx",
                "acntWsNickname": "xx"
            },
            "dataType": "logging",
            "deleteAt": -1,
            "duration": "180d",
            "extend": {
                "filterLogic": "and",
                "filters": []
            },
            "externalResourceAccessCfgUUID": "erac_xxx212",
            "id": 684,
            "name": "ssfda***",
            "status": 0,
            "storeType": "obs",
            "syncExtensionField": false,
            "taskErrorCode": "NoSuchBucket",
            "taskStatusCode": 404,
            "updateAt": 1697610912,
            "updator": "xx",
            "updatorInfo": {
                "uuid": "xx",
                "status": 0,
                "username": "xx",
                "name": "xx",
                "iconUrl": "",
                "email": "xx",
                "acntWsNickname": "xx"
            },
            "uuid": "lgbp_xxx275",
            "workspaceUUID": "wksp_xxx115"
        },
        {
            "conditions": "",
            "createAt": 1694588429,
            "creator": "xx",
            "creatorInfo": {
                "uuid": "xx",
                "status": 0,
                "username": "xx",
                "name": "xx",
                "iconUrl": "",
                "email": "xx",
                "acntWsNickname": "xx"
            },
            "dataType": "logging",
            "deleteAt": -1,
            "duration": "180d",
            "extend": {
                "filterLogic": "and",
                "filters": []
            },
            "externalResourceAccessCfgUUID": "erac_xxxfca",
            "id": 669,
            "name": "test-21-02",
            "status": 0,
            "storeType": "obs",
            "syncExtensionField": false,
            "taskErrorCode": "AccessDenied",
            "taskStatusCode": 403,
            "updateAt": 1695290409,
            "updator": "xx",
            "updatorInfo": {
                "uuid": "xx",
                "status": 0,
                "username": "xx",
                "name": "xx",
                "iconUrl": "",
                "email": "xx",
                "acntWsNickname": "xx"
            },
            "uuid": "lgbp_xxxf0a",
            "workspaceUUID": "wksp_xxx115"
        },
        {
            "conditions": "{  `source` in [ 'mysql' ] }",
            "createAt": 1692686192,
            "creator": "xx",
            "creatorInfo": {
                "uuid": "xx",
                "status": 0,
                "username": "xx",
                "name": "xx",
                "iconUrl": "",
                "email": "xx",
                "acntWsNickname": "xx"
            },
            "dataType": "logging",
            "deleteAt": -1,
            "duration": "180d",
            "extend": {
                "filterLogic": "and",
                "filters": [
                    {
                        "condition": "and",
                        "name": "source",
                        "operation": "in",
                        "value": [
                            "mysql"
                        ]
                    }
                ]
            },
            "externalResourceAccessCfgUUID": "erac_xxx6d1",
            "id": 518,
            "name": "osstest-xjp",
            "status": 0,
            "storeType": "oss",
            "syncExtensionField": true,
            "taskErrorCode": "",
            "taskStatusCode": -1,
            "updateAt": 1695286731,
            "updator": "xx",
            "updatorInfo": {
                "uuid": "xx",
                "status": 0,
                "username": "xx",
                "name": "xx",
                "iconUrl": "",
                "email": "xx",
                "acntWsNickname": "xx"
            },
            "uuid": "lgbp_xxx5ae",
            "workspaceUUID": "wksp_xxx115"
        }
    ],
    "errorCode": "",
    "message": "",
    "pageInfo": {
        "count": 3,
        "pageIndex": 1,
        "pageSize": 3,
        "totalCount": 66
    },
    "success": true,
    "traceId": "TRACE-ADC98BC2-1772-4E2E-9737-F80D3CC5453F"
}

Feedback

Is this page helpful?